# OutOfMemoryException Class Reference

Inheritance diagram for OutOfMemoryException:

List of all members.

## Public Member Functions

| OutOfMemoryException ()
| ~OutOfMemoryException ()
XMLExcepts::Codes | getCode () const
const XMLCh * | getMessage () const
const XMLCh * | getType () const
const char * | getSrcFile () const
XMLFileLoc | getSrcLine () const
| OutOfMemoryException (const OutOfMemoryException &toCopy)
OutOfMemoryException & | operator= (const OutOfMemoryException &toAssign)

## Constructor & Destructor Documentation

OutOfMemoryException::OutOfMemoryException | ( |  | ) |

OutOfMemoryException::~OutOfMemoryException | ( |  | ) |

OutOfMemoryException::OutOfMemoryException | ( | const OutOfMemoryException & | toCopy | ) |

## Member Function Documentation

XMLExcepts::Codes OutOfMemoryException::getCode | ( |  | ) | const

const XMLCh * OutOfMemoryException::getMessage | ( |  | ) | const

const XMLCh * OutOfMemoryException::getType | ( |  | ) | const

const char * OutOfMemoryException::getSrcFile | ( |  | ) | const

XMLFileLoc OutOfMemoryException::getSrcLine | ( |  | ) | const

OutOfMemoryException & OutOfMemoryException::operator= | ( | const OutOfMemoryException & | toAssign | ) |

The documentation for this class was generated from the following file:

- OutOfMemoryException.hpp